Create a revocation message payload
Returns a message in JWM format that can be used to notify subjects based on their credential revocation status change.
To send a notification to the Subject DID holder, use the returned payload with the encrypt and send endpoints.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>id*stringUnique identifier for the credential whose status has changed.
uuidCreate a JWM message payload
application/json- body
Create a payload
from*stringThe sender's DID URL, obtained from the id field of the first keyAgreement entry of the DID document. This must be a DID with a key type suitable for messaging (not a BLS key type).
1 <= lengthto*array<string>The intended recipients DID URL.
Revocation message payload created
application/json- response
id*string1 <= lengthtype*string1 <= lengthto*array<string>from*string1 <= lengthcreated_time*numberbody*curl -X POST "https://example.com/v2/credentials/web-semantic/873277c0-a162-11ea-8a1d-a111119347e6/revocation-status/notification" \ -H "Content-Type: application/json" \ -d '{ "from": "did:web:organization.com", "to": [ "did:key:subjectDid1", "did:key:subjectDid2", "did:key:subjectDid3" ] }'{ "id": "string", "type": "string", "to": [ "did:key:subjectDid1", "did:key:subjectDid2", "did:key:subjectDid3" ], "from": "did:web:organization.com", "created_time": 0, "body": { "revocationListCredential": "string", "revocationListIndex": "string", "isRevoked": true }}How would you rate this page?
Retrieve revocation list GET
Retrieves a JSON credential revocation list by providing its ID. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve all credential data GET
Returns all available data for existing credentials: - For credentials that were created with the `persist` flag set to `true`, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to `false`, the response only contains the metadata (`id`, `tag`, `credentialStatus`, `issuanceDate`).